CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions
DataLogging.ChartForm Class Reference

List of all members.

## Public Member Functions
void | SetupChart ()
void | UpdateGraph (double time, double analog1, double analog2)
void | SetupChart ()
| Sets up the chart.
void | UpdateGraph (double time, double currTemp, double goalTemp, double heaterValue, bool heaterPwmValue)
void | SetConnected ()
void | SetDisConnected ()
void | GoalTemperatureTrackBarScroll (object sender, EventArgs e)
| Update goal temperature as triggered by scrollbar.
void | SetStatus (string description)
| Update status bar.
void | LogMessage (string message)
## Public Attributes
ZedGraph.ZedGraphControl | chartControl
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Member Function Documentation

override void DataLogging.ChartForm.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

override void DataLogging.ChartForm.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void DataLogging.ChartForm.GoalTemperatureTrackBarScroll | ( | object | sender,
|  | EventArgs | e
| ) |  |

Update goal temperature as triggered by scrollbar.

Parameters:

  sender | Source of the event.
  e | Event information.

void DataLogging.ChartForm.SetStatus | ( | string | description | ) |

Update status bar.

Parameters:

  description | The message to show on the status bar.

void DataLogging.ChartForm.SetupChart | ( |  | ) |

Sets up the chart.

void DataLogging.ChartForm.UpdateGraph | ( | double | time,
|  | double | analog1,
|  | double | analog2
| ) |  |

Console.WriteLine("Update chart");

The documentation for this class was generated from the following files:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/DataLogging/ChartForm.cs
- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/DataLogging/ChartForm.Designer.cs
- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/TemperatureControl/ChartForm.cs
- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/TemperatureControl/ChartForm.Designer.cs